Package org.apache.jmeter.samplers

# Class DiskStoreSampleSender

java.lang.Object
org.apache.jmeter.samplers.AbstractSampleSender
org.apache.jmeter.samplers.DiskStoreSampleSender

All Implemented Interfaces:
  `Serializable`, `SampleSender`

public class DiskStoreSampleSender extends AbstractSampleSender implements Serializable
Version of HoldSampleSender that stores the samples on disk as a serialised stream.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskStoreSampleSender()`
  Deprecated.
  only for use by test code

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `sampleOccurred(SampleEvent e)`
  A sample occurred.
  `void`
  `testEnded(String host)`
  The test ended.

  ### Methods inherited from class org.apache.jmeter.samplers.AbstractSampleSender

  `isClientConfigured, testEnded`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiskStoreSampleSender

    @Deprecated public DiskStoreSampleSender()
    Deprecated.
    only for use by test code

- ## Method Details

  - ### testEnded

    public void testEnded(String host)
    Description copied from interface: `SampleSender`
    The test ended. This will be called from the engine thread.
    Specified by:
      `testEnded` in interface `SampleSender`
    Parameters:
      `host` - the host that the test ended on.

  - ### sampleOccurred

    public void sampleOccurred(SampleEvent e)
    Description copied from interface: `SampleSender`
    A sample occurred. This method will be called from the sampler thread.
    Specified by:
      `sampleOccurred` in interface `SampleSender`
    Parameters:
      `e` - a Sample Event